![](https://wolfiz.com/wp-content/uploads/2021/02/home-logo.png.webp)

[![pub package](https://img.shields.io/pub/v/get.svg?label=get&color=blue)](https://pub.dev/packages/wolfizutils)
[![popularity](https://badges.bar/sentry/popularity)](https://pub.dev/packages/wolfizutils/score)
[![likes](https://badges.bar/get/likes)](https://pub.dev/packages/wolfizutils/score)
[![pub points](https://badges.bar/sentry/pub%20points)](https://pub.dev/packages/wolfizutils/score)
[![building](https://github.com/jonataslaw/get/workflows/build/badge.svg)](https://github.com/imumermalik)
[![style: effective dart](https://img.shields.io/badge/style-effective_dart-40c4ff.svg)](https://pub.dev/packages/effective_dart)
[![Wolfiz Technologies ](https://img.shields.io/badge/Website-Wolfiz%20Technologies-blue)](https://wolfiz.com)
[![WhatsApp](https://img.shields.io/badge/WhatsApp-25D366?style=for-the-badge&logo=whatsapp&logoColor=white)](https://wa.me/+923335282662)
<a href="https://github.com/Solido/awesome-flutter">
<img alt="Awesome Flutter" src="https://img.shields.io/badge/Awesome-Flutter-blue.svg?longCache=true&style=flat-square" />
</a>
<a href="https://www.buymeacoffee.com/imumermalik" target="_blank"><img src="https://i.imgur.com/aV6DDA7.png" alt="Buy Me A Coffee" style="height: 41px !important;width: 174px !important; box-shadow: 0px 3px 2px 0px rgba(190, 190, 190, 0.5) !important;-webkit-box-shadow: 0px 3px 2px 0px rgba(190, 190, 190, 0.5) !important;" > </a>

![](https://media-exp1.licdn.com/dms/image/C561BAQFBXmXaW7zC7g/company-background_10000/0/1585388730220?e=1630472400&v=beta&t=C7iQZPOKuK6OdRgRBcvn-jfG14xx0OcMrxc0OTGz68M)


<div align="center">

**Languages:**

  
[![English](https://img.shields.io/badge/Language-English-blueviolet?style=for-the-badge)](README.md)
[![Urdu](https://img.shields.io/badge/Language-Urdu-brightgreen)](README.md)

</div>

- [About WolfizUtils](#about-wolfizutils)
- [Adding Dependency](#adding-dependency)
- [Installation Guide](#wolfizutils-installation-guide)

- [Check Internet Connectivity](#check-internet-connectivity)
- [Examples](#example-widgets)
  - [Widgets Example](#widgets-example)
    - [MyText Widget](#mytext)
    - [PngImageButton](#pngimagebutton)
    - [SvgImageButton](#svgimagebutton)
    - [GradientButton Left to Right](#gradientbuttonltr)
    - [GradientButton Top to Bottom](#gradientbutton-top-to-bottom)

  

# About WolfizUtils

- Wolfiz Utility package helps to resolve coding issues you may incur, Minimize repetition of typing small things. package, a library module containing code that can be shared easily across multiple Flutter or Dart projects.

- For help getting started with Flutter, view our online documentation, which offers tutorials, samples, guidance on mobile development, and a full API reference.

- WolfizUtils has 3 basic principles. This means that these are the priority for all resources in the library: **PRODUCTIVITY, PERFORMANCE AND ORGANIZATION.**

  - **PERFORMANCE:** WolfizUtils is focused on performance and minimum consumption of resources.

  - **PRODUCTIVITY:** WolfizUtils uses an easy and pleasant syntax. 

  - **ORGANIZATION:** WolfizUtils can easily organizes your widgets and code.


**In addition, to further increase your productivity, we have
[More Packages](https://pub.dev/packages/wolfizutils) and the [Ads Management Setting](https://pub.dev/packages/ourads)**

#### Platform Support

| Android | iOS | MacOS | Web |
|:-------:|:---:|:-----:|:---:|
|    ✔️    |  ✔️  |       |  ✔️  |


# WolfizUtils Installation Guide

Please follow the complete guide to use this package.

# Adding dependency

Add Get to your pubspec.yaml file:

```yaml
dependencies:
  wolfizutils: 0.1.2
```

Import get in files that it will be used:

```dart
import 'package:wolfizutils/wolfizutils.dart';
```


- Step 1:
  Add "ScreenUtil Code" before your MaterialApp.
  also add package Screen_Util from pub.dev

```dart
void main() => runApp(
ScreenUtilInit(
      designSize: const Size(1024, 768),
      builder: (_, __) {
        return MaterialApp(
          title: 'HomeAgain',
          theme: ThemeData(
            primarySwatch: Colors.indigo,
          ),
          routes: AppRoutes.routes,
        );
      },
    ),
    );
```

- Note: Size(Width, Height) = Size(360, 760), Use size of device on which you want to design
- Note 2: We prefer to use it with GetX and ScreenUtil Flutter Package. and its example is below. 

```dart
void main() {
  runApp(
    ScreenUtilInit(
      designSize: Size(390, 844),
      builder: (_, __) => GetMaterialApp(
        title: "Application",
        initialRoute: AppPages.INITIAL,
        getPages: AppPages.routes,
      ),
    ),
  );
}
```

- Step 2:
  Just to call Widget where ever you want to in project, but make sure to import ScreenUtil file if its not working. 
  
# Examples

## Widgets Example

Some Basic and Simple Widgets Example

### MyText

Now You don't need to type Text and its properties again and again just type. "MyText"


```dart
 MyText(
text: "HomeView is working",
fontSize: 20,
//Note:  Font size is according to screen util ".sp" but don't need to type ".sp".
fontClr: Colors.black,
fontWeight: FontWeight.normal,
),
```

### HeightBox

Now You don't need to type SizedBox-->Height complete code for just HeightBox

Old Method
```dart
 SizedBox(
height: 20.h,
),
```

New Method
```dart
20.hb,
```

### WidthBox

Now You don't need to type SizedBox-->Height complete code for just HeightBox

Old Method
```dart
 SizedBox(
Width: 20.w,
),
```

New Method
```dart
20.wb,
```

### SquareBox

Now You don't need to type SizedBox-->Height complete code for just HeightBox

Old Method
```dart
 SizedBox(
width: 20.r,
height: 20.r,
),
```

New Method
```dart
20.sqb,
```


### PngImageButton

Now You don't need to type Text and its properties again and again just type. "MyText"

```dart
PngImageButton(
imagePath: "assets/imgepath.png",
imageWidth: 100,
imageHeight: 100,
//Note width and height are according to screen util.
onTap: () {
//place where you want to Navigate
},
),
```

### SvgImageButton
```dart
SvgImageButton(
imagePath: "aassets/imagepath.svg",
imageWidth: 100,
imageHeight: 100,
//Note width and height are according to screen util.
onTap: () {
//place where you want to Navigate
},
),
```

### GradientButton Left to Right
```dart
GradientButtonLtR(
onTap: () {
//place where you want to Navigate
},
title: "Button Title",
btnWidth: 200,
btnHeight: 50,
radius: 10,
//Note: all sizes are according to screen util.
leftClr: Colors.black,
rightClr: Colors.blue,
fontClr: Colors.teal,
fontSize: 14,
fontWeight: FontWeight.bold,
shadowClr: Colors.blue,
),
```

### GradientButton Top to Bottom
```dart
GradientButtonTtB(
onTap: () {},
title: "Button Title",
btnWidth: 300,
btnHeight: 80,
radius: 20,
leftClr: Colors.blue,
rightClr: Colors.blueGrey,
fontClr: Colors.white,
fontSize: 20,
fontWeight: FontWeight.bold,
shadowClr: Colors.blueAccent,
)
```

### Check Internet Connectivity

- Step # 1: Go to the `conttrollers` file of that module where you want to check Internet Connectivity, and update the code like below

```dart
class HomeController extends GetxController {
  //TODO: Implement HomeController

  @override
  void onInit() {
    super.onInit();
    WolfizUtils().checkInternetConnection();
  }

  @override
  void onReady() {
    super.onReady();
  }
}
```
- Step # 2: Go to `bindings` file of that module and update code like below

```dart
class HomeBinding extends Bindings {
  @override
  void dependencies() {
    Get.put<HomeController>( HomeController(),
    );
  }
}
```

- Step # 3: Go to `views` file of that module and you can use code as you want, in below example you can see how we can use it.
- Note: Don't forget to call `.ifNoInternet()`, passing child widget is your own choice

```dart
class HomeView extends GetView<HomeController> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text('Check Internet Connectivity'),
        centerTitle: true,
      ),
      body: Center(
        child: MyText(
          text: "Internet Connected",
          fontSize: 20,
          fontClr: Colors.green,
        ).ifNoInternet(
          child: Center(
            child: MyText(
              text: "No Internet",
              fontSize: 20,
              fontClr: Colors.red,
            ),
          ),
        ),
      ),
    );
  }
}
```
- Here you go, you are all done now you can check easily any where or any widget. 

# Breaking changes from 0.0.7

1- Widget types:

| Before                    | After                |
| -----------------         | -------------------- |
| Text                      | `MyText`             |
| Custom Gradient Button    | `GradientButtonLTR`  |
| Custom Gradient Button    | `GradientButtonTtB`  |
| Customized Svg Button     | `SvgImageButton`     |
| Customized Png Button     | `PngImageButton`     |
| Check Internet            | `CheckInternet`      |



# Discussion

## Community channels

**Wolfiz Technologies** has a highly active and helpful community. If you have questions, or would like any assistance regarding the use of this framework, please join our community channels, your question will be answered more quickly, and it will be the most suitable place. This repository is exclusive for opening issues, and requesting resources, but feel free to be part of GetX Community.

| **WhatsApp**                                                                                                                                      | **GitHub**                                                                                                          |
| [![Get on WhatsApp](https://img.shields.io/badge/WhatsApp-25D366?style=for-the-badge&logo=whatsapp&logoColor=white)](https://wa.me/+923335282662) | [![GitHub](https://img.shields.io/discord/722900883784073290.svg?logo=discord)](https://discord.com/invite/9Hpt99N) |