part of wolfizutils;

class GradientButtonLtR extends StatelessWidget {
  final VoidCallback onTap;
  final String title;
  final double btnWidth;
  final double btnHeight;
  final Color leftClr;
  final Color rightClr;
  final Color fontClr;
  final double fontSize;
  final FontWeight fontWeight;
  final Color shadowClr;
  final double radius;

  GradientButtonLtR({
    required this.onTap,
    required this.title,
    required this.btnWidth,
    required this.btnHeight,
    required this.radius,
    required this.leftClr,
    required this.rightClr,
    required this.fontClr,
    required this.fontSize,
    required this.fontWeight,
    required this.shadowClr,

  });

  @override
  Widget build(BuildContext context) {
    return GestureDetector(
      onTap: onTap,
      child: Container(
        alignment: Alignment.center,
        width: btnWidth.w,
        height: btnHeight.h,
        decoration: BoxDecoration(
          gradient: LinearGradient(
            colors: [
              leftClr,
              rightClr,
            ],
            begin: Alignment.centerLeft,
            end: Alignment.centerRight,
          ),
          borderRadius: BorderRadius.all(
            Radius.circular(radius.r),
          ),
          color: Colors.white,
          boxShadow: [
            BoxShadow(
              color: shadowClr.withOpacity(0.2),
              spreadRadius: 2.r,
              blurRadius: 7.r,
              offset: Offset(0, 3), // changes position of shadow
            ),
          ],
        ),
        child:
        Text(
          title,
          style: TextStyle(
            fontSize: fontSize.sp,
            color: fontClr,
            fontWeight: fontWeight,
          ),
          textAlign: TextAlign.center,
        ),
      ),
    );
  }
}
