part of wolfizutils;

class SvgImageButton extends StatelessWidget {
  final String imagePath;
  final double imageWidth;
  final double imageHeight;
  final VoidCallback onTap;

  SvgImageButton({
    required this.imagePath,
    required this.imageWidth,
    required this.imageHeight,
    required this.onTap,
  });

  @override
  Widget build(BuildContext context) {
    return GestureDetector(
      onTap: onTap,
      child: SvgPicture.asset(
        imagePath,
        width: imageWidth.w,
        height: imageHeight.h,
      ),
    );
  }
}
